Main Page Widgets Namespaces Book

# shell.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::ShellError
| Exception class for shell utility errors. More...

## Functions

Glib::ArrayHandle<std::string> | shell_parse_argv (const std::string& command_line)
| Parses a command line into an argument vector, in much the same way the shell would, but without many of the expansions the shell would perform (variable expansion, globs, operators, filename expansion, etc. are not supported).
std::string | shell_quote (const std::string& unquoted_string)
| Quotes a string so that the shell (/bin/sh) will interpret the quoted string to mean unquoted_string.
std::string | shell_unquote (const std::string& quoted_string)
| Unquotes a string as the shell (/bin/sh) would.